void main( void )
{
 int &pap;
 int &wherex;
 int &wherey;
}

void talk( void )
{
 &wherex = sp_x(&current_sprite, -1);
 &wherey = sp_y(&current_sprite, -1);
 freeze(1);
 freeze(&current_sprite);
 if (&story > 14)
 {
  say_stop("`6恭喜获胜。", &current_sprite);
  wait(250);
  say_stop("`6再见。", &current_sprite);
  int &mcrap = create_sprite(&wherex, &wherey, 7, 167, 1);
  sp_seq(&mcrap, 167);
  playsound(24, 22052, 0, 0, 0);
  unfreeze(1);
  unfreeze(&current_sprite);
  &snowc = 1;
  sp_active(&current_sprite, 0);  
  return;
 }
 say_stop("你，你是谁？", 1);
 wait(250);
 say_stop("`6我，你才是谁呢？居然有非地精在此出没？？！", &current_sprite);
 wait(250);                           
 say_stop("你在说什么？", 1);
 wait(250);
 say_stop("`6战争啊，地精之战！", &current_sprite);
 wait(250);
 say_stop("`6我必须保卫这座城，不能让他们夺回。", &current_sprite);
 wait(250);
 say_stop("地，地精之战在很久以前就结束了！！", 1);
 wait(250);
 say_stop("停战有一百多年了！", 1);
 wait(250);
 say_stop("`6哪泥？！！", &current_sprite);
 wait(250);
 say_stop("`6是真的吗？", &current_sprite);
 wait(250);
 say_stop("恐怕是真的 ...", 1);
 wait(250);
 say_stop("`6那...KernSin城怎么样了？", &current_sprite);
 wait(250);
 say_stop("哦~~，整座城和城堡都在", 1);
 wait(250);
 say_stop("百年前的战争后期被毁灭了。", 1);
 wait(250);
 say_stop("后来又被重建，现在是个规模稍小的KernSin小镇。", 1);
 wait(250);
 say_stop("`6这，发生这么多...我们赢了吗？", &current_sprite);
 wait(250);
 say_stop("是的。", 1);
 wait(1000);
 say_stop("`6我，我必须离开这里，思考一下发生了的事。", &current_sprite);
 wait(250);
 say_stop("`6谢谢你，朋友，你叫什么名字？", &current_sprite);
 wait(250);
 say_stop("丁克小森林，先生", 1);
 wait(250);
 say_stop("`6小，小森林？！？！？！", &current_sprite);
 wait(250);
 say_stop("`6你不是被驱逐了吗？！", &current_sprite);
 wait(250);
 say_stop("什么？？", 1);
 wait(250);
 say_stop("`6哦，当然，100年前了，现在他也该有后代了。", &current_sprite);
 wait(250);
 say_stop("嘿，你能跟我说说是怎么回事吗？", 1);
 wait(250);
 say_stop("`6你的家族的血统比较有趣，", &current_sprite);
 wait(250);
 say_stop("`6那些古代的东西会被你们吸引，", &current_sprite);
 wait(250);
 say_stop("`6他们可以提取你们家族的魔力来养活自己。", &current_sprite);
 wait(250);
 say_stop("`6然而如果能消灭你们的话，他们会获得非常强大的力量。", &current_sprite);
 wait(250);
 say_stop("这块大陆也在混乱之际。", 1);
 wait(250);
 say_stop("我们不知道谁是躲在后面的黑手。我正在赶往", 1);
 wait(250);
 say_stop("黑暗大陆，不过我先得来此解救我的朋友。", 1);
 wait(250);
 say_stop("`6要小心了丁克，这幕后黑手八成就是个古老一族，", &current_sprite);
 wait(250);
 say_stop("`6却让人觉得是别的什么东西。", &current_sprite);
 wait(500);
 say_stop("`6我必须走了，丁克，祝你好运。", &current_sprite);
 int &mcrap = create_sprite(&wherex, &wherey, 7, 167, 1);
 sp_seq(&mcrap, 167);
 playsound(24, 22052, 0, 0, 0);
 unfreeze(1);
 unfreeze(&current_sprite);
 &snowc = 1;
 sp_active(&current_sprite, 0);
}

void hit( void )
{
 &wherex = sp_x(&current_sprite, -1);
 &wherey = sp_y(&current_sprite, -1);
 say("`6错误的选择 ...", &current_sprite);
 &pap = random(3, 1);
 if (&pap == 1)
 {
  int &mcrap = create_sprite(&wherex, &wherey, 7, 167, 1);
  sp_seq(&mcrap, 167);
  playsound(24, 22052, 0, 0, 0);
  int &mcrap2 = create_sprite(100, 143, 7, 167, 1);
  sp_seq(&mcrap2, 167);
  sp_x(&current_sprite, 100);
  sp_y(&current_sprite, 143);
 }
 if (&pap == 2)
 {
  int &mcrap = create_sprite(&wherex, &wherey, 7, 167, 1);
  sp_seq(&mcrap, 167);
  playsound(24, 22052, 0, 0, 0);
  int &mcrap2 = create_sprite(429, 151, 7, 167, 1);
  sp_seq(&mcrap2, 167);
  sp_x(&current_sprite, 429);
  sp_y(&current_sprite, 151);
 }
 if (&pap == 3)
 {
  int &mcrap = create_sprite(&wherex, &wherey, 7, 167, 1);
  sp_seq(&mcrap, 167);
  playsound(24, 22052, 0, 0, 0);
  int &mcrap2 = create_sprite(288, 301, 7, 167, 1);
  sp_seq(&mcrap2, 167);  
  sp_x(&current_sprite, 288);
  sp_y(&current_sprite, 301);  
 }
}
